# SPDX-License-Identifier: GPL-3.0-or-later
#
# SPDX-FileCopyrightText: 2023 Glenn Y. Rolland <glenux@glenux.net>
# Copyright © 2023 Glenn Y. Rolland <glenux@glenux.net>

module GX::Models::Concerns
  module Mounted
    def mounted?() : Bool
      mount_point_safe = @mount_point
      raise InvalidMountpointError.new("Invalid mountpoint value") if mount_point_safe.nil?

      `mount`.includes?(" on #{mount_point_safe} type ")
    end
  end
end


